var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";

function Download(props) {
  return _jsx("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: _jsx("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M24 4a2 2 0 012 2v19.172l6.586-6.586a2 2 0 112.828 2.828l-10 10a2 2 0 01-2.828 0l-10-10a2 2 0 112.828-2.828L22 25.172V6a2 2 0 012-2zM6 28a2 2 0 012 2v8a2 2 0 002 2h28a2 2 0 002-2v-8a2 2 0 114 0v8a6 6 0 01-6 6H10a6 6 0 01-6-6v-8a2 2 0 012-2z",
      fill: "currentColor"
    }, void 0)
  }), void 0);
}

export var ReactComponent = Download;
export default Download;

